Lists all active agents for the authenticated organization.
curl --request GET \
--url https://api.case.dev/agent/v1/agents \
--header 'Authorization: Bearer <token>'{
"agents": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"model": "<string>",
"vaultIds": [
"<string>"
],
"isActive": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"hasMore": true,
"nextCursor": "<string>"
}API key starting with sk_case_
Maximum number of agents to return (default 50, max 250)
1 <= x <= 250Pagination cursor (agent ID from previous page). Returns agents created before this agent.
Was this page helpful?
curl --request GET \
--url https://api.case.dev/agent/v1/agents \
--header 'Authorization: Bearer <token>'{
"agents": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"model": "<string>",
"vaultIds": [
"<string>"
],
"isActive": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"hasMore": true,
"nextCursor": "<string>"
}